"use strict";
define(function (require, exports, module) {
    console.log(("import common"))

    class Doc {
        #docType;
        #docId;
        #content;

        constructor(docType, docId, title) {
            this.#docType = docType;
            this.#docId = docId;
            this.title = title;
            this.#content = new Map();
        }

        getDocType() {
            return this.#docType;
        }

        getDocId() {
            return this.#docId;
        }

        getContent() {
            return this.#content;
        }

        getNode(rowNo) {
            return this.#content.get(rowNo.toString());
        }

        setNode(rowNo, node) {
            this.#content.set(rowNo.toString(), node);
        }

    }


    module.exports = Doc;
})