"use strict";
/**
 * 鼠标 keyUp 事件
 */
define(function (require, exports, module) {

    function handle(e) {
        const utils = require('../../common/utils')
        const event = utils.ParseEvent(e);
        // console.log("this: ", this, e, e.target, "\n event: ", event)
        const keyCode = utils.GetKeyCode(event);
        const keyCombination = event.ctrlKey
        const metaKey = event.metaKey

        let curP = utils.GetEventTarget(e);
        // console.log("键盘事件 ", event, keyCombination, metaKey, keyCode, "\ncurP: ", curP)


        // ctrl + c 复制
        if (keyCombination && keyCode === 67) {
            // 阻止默认事件
            // utils.ProhibitDefaultEvent(event);
            console.log('触发ctrl + c 事件', e.target)
        }

        //撤销
        if (metaKey && keyCode === 90) {
            // const cancelHandle = require('./CancelEventImpl')
            // cancelHandle.handle(e);
            return;
        }

        //删除
        if (keyCode === 46 || keyCode === 8) {
            //todo 什么也不处理
            return;
        }

        //回车事件
        if (keyCode === 13 /* && currentNode === key.lastElementChild */) {
            // const enterHandle = require('./EnterEventImpl')
            // enterHandle.handle(e);
            // return;
        }
    }

    //导出
    exports.handle = handle;
});