"use strict";
define(function (require) {
    const isDebug = false;  // 控制是否屏蔽全局console.log 日志；isDebug设为false即可屏蔽
    console.log = (function (oldLogFunc) {
        return function () {
            if (isDebug) {
                oldLogFunc.apply(this, arguments);
            }
        }
    })(console.log);

    const ctx = require('./common/ctx');
    const eventListener = require('./event/MyEventListener')
    const utils = require('./common/utils')
    console.log("uuid1 -10 : ", utils.Uuid(ctx.usn));
    //初始化第一个输入框
    ctx.MyRoot().append(document.createElement("p"));
})