"use strict";

/**
 * 输入事件
 */
define(function (require, exports, module) {

    function handle(e) {
        const utils = require('../../common/utils');
        const event = utils.ParseEvent(e);
        let curP = utils.GetEventTarget(e);

        console.log("input : ", event,
            "\ntext: '", event.data + "'"
            , "\ncurP: ", curP)
        let testDiv = document.getElementById("testDevice")
        testDiv.innerText =
            "\ninput: " + event.data + " isEmpty: " + (event.data === " ");


        //更新内容

        // this.updateText(curP)

        //处理空行转换
        if (event.data === " ") {
            let emptyHandle = require("./EmptyInputEventImpl");
            emptyHandle.handle(e);
        }
    }

    //导出
    exports.handle = handle;
});