"use strict";
/**
 * 鼠标 keyDown 事件
 */
define(function (require, exports, module) {

    function handle(e) {
        const utils = require('../../common/utils')
        const event = utils.ParseEvent(e);
        let curP = utils.GetEventTarget(e);
        const keyCode = utils.GetKeyCode(event);
        const keyCombination = event.ctrlKey
        const metaKey = event.metaKey

        // console.log("keyDown : ", event,
        //     "\nevent.data: '", event.data + "'",
        //     "\nkeyCode: '", keyCode + "'"
        //     , "\ncurP: ", curP);

        //支持全屏撤销
        if (metaKey && keyCode === 90) {
            // const cancelHandle = require('./CancelEventImpl')
            // cancelHandle.handle(e);
            return;
        }

        //回车事件,禁止处理。防止生成 div
        if (keyCode === 13) {
            // utils.ProhibitDefaultEvent(event);

            // const enterHandle = require('./EnterEventImpl')
            // enterHandle.handle(e);
            // return;
        }

        //在鼠标按下的时候删除，体验更好
        if (keyCode === 46 || keyCode === 8) {
            const delHandle = require('./DelEventImpl')
            delHandle.handle(e);
            return;
        }
    }

    //导出
    exports.handle = handle;
});